"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 解析模板字符串
 *
 * @param template 模板字符串
 * @param value 模板的值
 */
function parseTemplateStr(template, 
// eslint-disable-next-line @typescript-eslint/no-explicit-any
value) {
    return template.replace(/<%= *(.+?) *%>/g, (_exp, keyName) => value[keyName]);
}
exports.default = parseTemplateStr;
//# sourceMappingURL=parseTemplateStr.js.map