"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var execa_1 = tslib_1.__importDefault(require("execa"));
var cmd;
/**
 * 获取可以安装依赖的命令行
 */
function getInstallCmd() {
    if (cmd) {
        return cmd;
    }
    try {
        execa_1.default.sync('yarnpkg', ['--version']);
        cmd = 'yarn';
    }
    catch (e) {
        cmd = 'npm';
    }
    return cmd;
}
exports.default = getInstallCmd;
//# sourceMappingURL=getInstallCmd.js.map