"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const fs_extra_1 = require("fs-extra");
const path_1 = require("path");
/**
 * 提交git
 *
 * @param appPath 项目目录
 */
function gitCommit(appPath) {
    try {
        child_process_1.execSync('git add -A', { stdio: 'ignore', cwd: appPath });
        child_process_1.execSync('git commit -m "Initial commit from ts-lib-scripts"', {
            stdio: 'ignore',
            cwd: appPath,
        });
    }
    catch (e) {
        try {
            fs_extra_1.removeSync(path_1.join(appPath, '.git'));
        }
        catch (removeErr) {
            // 忽略
        }
        throw e;
    }
}
exports.default = gitCommit;
//# sourceMappingURL=gitCommit.js.map